/* about page code */

.hero {
  position: relative;
  width: 100%;
  height: 90vh; 
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  font-family: Arial, sans-serif;
}

.home-video {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 100%;
  object-fit: cover;
  transform: translate(-50%, -50%);
  z-index: 1;
}


.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.5); /* semi-transparent dark overlay */
  z-index: 2;
}

/* Hero Content */
.hero-content {
  position: relative;
  z-index: 3;
  text-align: center;
  color: #fff;
  max-width: 900px;
  padding: 0 20px;
}

.hero-content h1 {
  font-size: 3rem;
  margin-bottom: 20px;
  font-weight: 700;
}

.hero-content p {
  font-size: 1.2rem;
  line-height: 1.6;
}

/* LAPTOP (1024px) */
/* ======================= */

@media (max-width:1024px){

.hero{
height:80vh;
}

.hero-content h1{
font-size:40px;
}

.hero-content p{
font-size:18px;
}

}



/* TABLET (768px) */
/* ======================= */

@media (max-width:768px){

.hero{
height:80vh;
}

.hero-content{
max-width:600px;
}

.hero-content h1{
font-size:32px;
}

.hero-content p{
font-size:18px;
}

}



/* MOBILE (480px) */
/* ======================= */

@media (max-width:480px){

.hero{
height:70vh;
padding:20px;
}

.hero-content{
max-width:100%;
}

.hero-content h1{
font-size:30px;
margin-bottom:15px;
}

.hero-content p{
font-size:18px;
line-height:1.5;
}

}
/* our story section */
.about-section{
  padding:60px 10%;
  background:#f9f9f9;
}

.about-container{
  display:flex;
  align-items:center;
  gap:40px;
  flex-wrap:wrap;
  overflow-x:hidden;
}

.about-image{
  flex:1;
}

.about-image img{
  width:100%;
  border-radius:10px;
}

.about-content{
  flex:1;
}

.about-content h2{
  font-size:32px;
  margin-bottom:15px;
}

.about-content p{
  font-size:16px;
  line-height:1.7;
  margin-bottom:15px;
  color:#555;
}

@media (max-width:1024px){

.about-section{
  padding:55px 8%;
}

.about-content h2{
  font-size:28px;
}

.about-content p{
  font-size:16px;
}

}



/* Tablet */
/* ===================== */

@media(max-width:768px){

.about-section{
  padding:50px 7%;
}

.about-container{
  flex-direction:column;
  text-align:center;
  gap:30px;
}

.about-image,
.about-content{
  width:100%;
}

.about-content h2{
  font-size:25px;
}

.about-content p{
  font-size:16px;
}

}



/* Mobile */
/* ===================== */

@media(max-width:480px){

.about-section{
  padding:40px 5%;
}

.about-content h2{
  font-size:27px;
}

.about-content p{
  font-size:16px;
  line-height:1.6;
}

.about-image img{
  border-radius:8px;
}

}


/* mission and vision */
.mv-container{
  width: 100%;
  
  padding: 120px 20px;
  background: #edeaea;
}

 .mission-vision .container{
  max-width: 1200px;
  margin: auto;

  display: flex;
  justify-content: center;
  align-items: stretch;
  gap: 40px;
  flex-wrap: wrap;
 }

.mv-card{
  background: linear-gradient(to right, #271494, #939395);
  padding: 60px 20px;
  border-radius: 10px;
  flex: 1 1 400px;
  max-width: 430px;

  box-shadow: 0 10px 25px rgba(0,0,0,0.08);
  text-align: center;
  transition: 0.3s;
}

.mv-card:hover{
  transform: translateY(-8px);
  box-shadow: 0 18px 35px rgba(0,0,0,0.15);
}

.mv-card h3{
  font-size: 30px;
  margin-bottom: 20px;
  color: #ececf1;
  font-weight:550;
}

.mv-card p{
  font-size: 17px;
  line-height: 1.7;
  color:white;
}

/* Laptop */
/* ===================== */

@media (max-width:1024px){

.mv-container{
  padding:100px 30px;
}

.mv-card{
  padding:50px 18px;
}

.mv-card h3{
  font-size:26px;
}

.mv-card p{
  font-size:16px;
}

}



/* Tablet */
/* ===================== */

@media (max-width:768px){

.mv-container{
  padding:80px 20px;
}

.mission-vision .container{
  gap:25px;
}

.mv-card{
  flex:1 1 100%;
  max-width:100%;
  padding:60px 18px;
}

.mv-card h3{
  font-size:26px;
}

.mv-card p{
  font-size:16px;
}

}



/* Mobile */
/* ===================== */

@media (max-width:480px){

.mv-container{
  padding:60px 15px;
}

.mv-card{
  padding:30px 15px;
  border-radius:8px;
}

.mv-card h3{
  font-size:21px;
}

.mv-card p{
  font-size:16px;
  line-height:1.6;
}

}


/* WHATSAPP FLOAT BUTTON */
.whatsapp-btn{
  position:fixed;
  bottom:25px;
  right:25px;

  width:60px;
  height:60px;

  background:#25D366;
  color:white;

  border-radius:50%;
  display:flex;
  align-items:center;
  justify-content:center;

  font-size:32px;
  text-decoration:none;

  box-shadow:0 5px 15px rgba(0,0,0,0.3);

  z-index:999;
  transition:0.4s ease;

  animation:whatsappPulse 1.5s infinite;
}

/* HOVER */
.whatsapp-btn:hover{
  transform:scale(1.1);
  background:#1ebe5d;
}

/* PULSE ANIMATION */
@keyframes whatsappPulse{

  0%{
    box-shadow:0 0 0 0 rgba(37,211,102,0.7);
  }

  70%{
    box-shadow:0 0 0 18px rgba(37,211,102,0);
  }

  100%{
    box-shadow:0 0 0 0 rgba(37,211,102,0);
  }

}

/* MOBILE */
@media(max-width:480px){

  .whatsapp-btn{
    width:55px;
    height:55px;
    font-size:28px;
    bottom:20px;
    right:20px;
  }

}
